Package org.drinkless.tdlib

# Class TdApi.BusinessBotManageBar

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.BusinessBotManageBar

Enclosing class:
  `TdApi`

public static class TdApi.BusinessBotManageBar extends TdApi.Object
Contains information about a business bot that manages the chat.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `botUserId`
  User identifier of the bot.
  `boolean`
  `canBotReply`
  True, if the bot can reply.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isBotPaused`
  True, if the bot is paused.
  `String`
  `manageUrl`
  URL to be opened to manage the bot.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BusinessBotManageBar()`
  Contains information about a business bot that manages the chat.
  `BusinessBotManageBar(long botUserId, String manageUrl, boolean isBotPaused, boolean canBotReply)`
  Contains information about a business bot that manages the chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### botUserId

    public long botUserId
    User identifier of the bot.

  - ### manageUrl

    public String manageUrl
    URL to be opened to manage the bot.

  - ### isBotPaused

    public boolean isBotPaused
    True, if the bot is paused. Use toggleBusinessConnectedBotChatIsPaused to change the value of the field.

  - ### canBotReply

    public boolean canBotReply
    True, if the bot can reply.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BusinessBotManageBar

    public BusinessBotManageBar()
    Contains information about a business bot that manages the chat.

  - ### BusinessBotManageBar

    public BusinessBotManageBar(long botUserId, String manageUrl, boolean isBotPaused, boolean canBotReply)
    Contains information about a business bot that manages the chat.
    Parameters:
      `botUserId` - User identifier of the bot.
      `manageUrl` - URL to be opened to manage the bot.
      `isBotPaused` - True, if the bot is paused. Use toggleBusinessConnectedBotChatIsPaused to change the value of the field.
      `canBotReply` - True, if the bot can reply.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR